<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>NSView+GormExtensions documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$NSView+GormExtensions">NSView+GormExtensions documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
    </div>

          <h1><a name="001000000000">
        Software documentation for the NSView(GormExtensions)
        category
      </a></h1>
    <h2>NSView(<a name="category$NSView(GormExtensions)">GormExtensions</a>)</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/NSView+GormExtensions.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="NSView+GormExtensions.html#method$NSView(GormExtensions)-hasSuperviewKindOfClass$">-hasSuperviewKindOfClass:</a></li>
      <li><a rel="gsdoc" href="NSView+GormExtensions.html#method$NSView(GormExtensions)-moveViewToBack$">-moveViewToBack:</a></li>
      <li><a rel="gsdoc" href="NSView+GormExtensions.html#method$NSView(GormExtensions)-moveViewToFront$">-moveViewToFront:</a></li>
      <li><a rel="gsdoc" href="NSView+GormExtensions.html#method$NSView(GormExtensions)-superviews">-superviews</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$NSView(GormExtensions)-hasSuperviewKindOfClass$">hasSuperviewKindOfClass:&nbsp;</a></h3>
    - (BOOL) <b>hasSuperviewKindOfClass:</b> (Class)cls;<br />
    <div class="desc">
      
            Returns <code>YES</code> if the receiver has an
            instance of the <strong>Class</strong>
            <var>cls</var> as a superview. <br /> Checks for a
            superview of a give class.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$NSView(GormExtensions)-moveViewToBack$">moveViewToBack:&nbsp;</a></h3>
    - (void) <b>moveViewToBack:</b> (NSView*)sv;<br />
    <div class="desc">
      
            Move the subview <var>sv</var> in reciever to the
            beginning of the reciever&apos;s display list. This
            has the effect of making it appear in back of the other
            views. <br /> Moves the specified subview to the
            beginning of the list, so it&apos;s displayed behind
            all of the other views.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$NSView(GormExtensions)-moveViewToFront$">moveViewToFront:&nbsp;</a></h3>
    - (void) <b>moveViewToFront:</b> (NSView*)sv;<br />
    <div class="desc">
      
            Move the subview <var>sv</var> in reciever to the end
            of the reciever&apos;s display list. This has the effect of
            making it appear in front of the other views. <br />
            Moves the specified subview to the end of the list,
            so it&apos;s displayed in front of the other views.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$NSView(GormExtensions)-superviews">superviews&nbsp;</a></h3>
    - (NSArray*) <b>superviews</b>;<br />
    <div class="desc">
      
            All superviews of the receiver. <br /> All superviews
            of this view
          
    </div>
    <hr width="25%" align="left" />
</div>
    <br />
    </font>
</body>
</html>
